Module java.base
Package java.io

## Class UncheckedIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.io.UncheckedIOException

- All Implemented Interfaces:
    `Serializable`

      public class UncheckedIOException
      extends RuntimeException

  Wraps an `IOException` with an unchecked exception.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UncheckedIOException​(IOException cause)` | Constructs an instance of this class.
    `UncheckedIOException​(String message, IOException cause)` | Constructs an instance of this class.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `IOException` | `getCause()` | Returns the cause of this exception.

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedIOException

          public UncheckedIOException​(String message,
                                      IOException cause)

      Constructs an instance of this class.
      Parameters:
        `message` - the detail message, can be null
        `cause` - the `IOException`
      Throws:
        `NullPointerException` - if the cause is `null`

    - #### UncheckedIOException

          public UncheckedIOException​(IOException cause)

      Constructs an instance of this class.
      Parameters:
        `cause` - the `IOException`
      Throws:
        `NullPointerException` - if the cause is `null`

  - ### Method Detail

    - #### getCause

          public IOException getCause()

      Returns the cause of this exception.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the `IOException` which is the cause of this exception.